Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.game
Class GameHistoryMove

    java.lang.Object
      vutbr.checkers.game.GameHistoryMove

    public class GameHistoryMove

extends java.lang.Object

Historie posunuti v kazdem tahu

Author:
  Ondrej Choleva , Ondrej Novy

Field Summary
`protected java.util.LinkedList<GameHistoryTurn>` | `turnList`

Constructor Summary
`GameHistoryMove()`

Method Summary
`protected void` | `addTurn(GameHistoryTurn turn)` Ulozi tah do seznamu
`protected java.util.LinkedList<GameHistoryTurn>` | `getTurnList()` Vraci seznam posunuti

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### turnList

    protected java.util.LinkedList<GameHistoryTurn> turnList

Constructor Detail

### GameHistoryMove

    public GameHistoryMove()

Method Detail

### addTurn

    protected void addTurn(GameHistoryTurn turn)

  Ulozi tah do seznamu

  Parameters:
    `turn` - Tah

### getTurnList

    protected java.util.LinkedList<GameHistoryTurn> getTurnList()

  Vraci seznam posunuti

  Returns:
    Seznam posunuti

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD